Module java.base
Package java.net

## Interface SocketOption<T>

Type Parameters:
  `T` - The type of the socket option value.

All Known Subinterfaces:
  `SctpSocketOption<T>`

    public interface SocketOption<T>

A socket option associated with a socket.

In the `channels` package, the `NetworkChannel` interface defines the `setOption` and `getOption` methods to set and query the channel's socket options.

Since:
  1.7
See Also:
  `StandardSocketOptions`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `name()` Returns the name of the socket option.
`Class<T>` `type()` Returns the type of the socket option value.

### Method Detail

#### name

    String name()

Returns the name of the socket option.

Returns:
  the name of the socket option

#### type

    Class<T> type()

Returns the type of the socket option value.

Returns:
  the type of the socket option value